%define realname ChartPlugin

Name:           foswiki-plugin-chart 
Version:        1.401
Release:        1%{?dist}
Summary:        Create PNG or GIF charts to visualize Foswiki tables

Group:          Applications/Internet
License:        GPLv2+
URL:            http://foswiki.org/Extensions/%{realname}
Source0:        http://foswiki.org/pub/Extensions/%{realname}/%{realname}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildARch:      noarch

Requires:       foswiki


%description
This plugin helps you visualize data in Foswiki tables as charts, using a
default linear scale or an optional semilogarithmic scale. 


%prep
%setup -q -c %{name}-%{version}


%build
## Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
# Shared datas
mkdir -p $RPM_BUILD_ROOT%{_datadir}/foswiki
cp -a lib $RPM_BUILD_ROOT%{_datadir}/foswiki
# User datas
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/foswiki
cp -a data pub $RPM_BUILD_ROOT%{_localstatedir}/lib/foswiki


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
#%{_datadir}/foswiki/lib/Foswiki/Plugins/*.pm
#%{_datadir}/foswiki/lib/Foswiki/Plugins/%{realname}/
#%{_localstatedir}/lib/foswiki/data/System/*.txt
#%{_localstatedir}/lib/foswiki/pub/System/%{realname}/


%changelog
* Tue Mar 24 2009 Xavier Bachelot <xavier@bachelot.org> 1.401-1
- Initial build.
